Skip to content
scango.ch
Esc
↑↓navigate↵open⌘Jpreview

Update store

Update a store (POST body is partial). Requires a Write key. Send null to clear an optional field. Payment provider credentials (Zahls) remain dashboard-only.

POST/stores/{storeId}
Authorization
AuthorizationBearer token (API key) · headerrequired

Organization API key.

Path parameters
storeIdstringrequired
Request body
requiredapplication/json
namestring
min length 1
addressstring | null
zipCodestring | null
citystring | null

Human-readable store label within the organization

vatNumberstring | null
paymentCashboolean | null
paymentPaytecboolean | null
paymentZahlsboolean | null
paymentZahlsOfflineboolean | null
paymentCashOfflineboolean | null
showSupplierboolean | null
hideTextStartboolean | null
generalMarginnumber | null
customMessagestring | null
backgroundImageCartstring | object | null

null removes the field.

Show properties
One of:
string
string
object
srcstring
backgroundImagestring | object | null

null removes the field.

Show properties
One of:
string
string
object
srcstring
backgroundColorstring | null
backgroundFontColorstring | null
playSoundboolean | null
standardSoundstring | null
adminMailstring | null
showInfoButtonboolean | null
showPicturesboolean | null
showPicturesScaleboolean | null
deleteCountdownnumber | null
logoUrlstring | null
languageMultiboolean | null
languageMainstring | null
Allowed:deenfrit
languageSelectorstring[] | null
translationsobject | null
deletedboolean

Set true to soft-delete.

Responses
200

Updated

successbooleanrequired
400

Invalid parameters or body.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

403

Missing, unknown or inactive API key, or a Read key on a write operation.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

404

No item with this id.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://dashboard.scango.ch/api/v1/stores/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "city": "Bern"
}'
Response
{
  "success": true
}

Was this page helpful?